javax.xml.registry.infomodel

## Interface Versionable

- All Known Subinterfaces:
    ClassificationScheme, ExtrinsicObject, RegistryEntry, RegistryPackage, Service

      public interface Versionable

  The Versionable interface defines the behavior common to classes that are capable of creating versions of their instances. At present all RegistryEntry classes are required to implement the Versionable interface.
  Author:
    Farrukh S. Najmi
  See Also:
    `RegistryEntry`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMajorVersion()` Gets the major revision number for this version of the Versionable object.
    `int` | `getMinorVersion()` Gets the minor revision number for this version of the Versionable object.
    `String` | `getUserVersion()` Gets the user-specified revision number for this version of the Versionable object.
    `void` | `setMajorVersion(int majorVersion)` Sets the major revision number for this version of the Versionable object.
    `void` | `setMinorVersion(int minorVersion)` Sets the minor revision number for this version of the Versionable object.
    `void` | `setUserVersion(String userVersion)` Sets the user specified revision number for this version of the Versionable object.

- - ### Method Detail

    - #### getMajorVersion

          int getMajorVersion()
                              throws JAXRException

      Gets the major revision number for this version of the Versionable object.

      Capability Level: 1
      Returns:
        the major version for this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setMajorVersion

          void setMajorVersion(int majorVersion)
                               throws JAXRException

      Sets the major revision number for this version of the Versionable object.

      Capability Level: 1
      Parameters:
        `majorVersion` - the major version number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getMinorVersion

          int getMinorVersion()
                              throws JAXRException

      Gets the minor revision number for this version of the Versionable object.

      Capability Level: 1
      Returns:
        the minor version for this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setMinorVersion

          void setMinorVersion(int minorVersion)
                               throws JAXRException

      Sets the minor revision number for this version of the Versionable object.

      Capability Level: 1
      Parameters:
        `minorVersion` - the minor version number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getUserVersion

          String getUserVersion()
                                throws JAXRException

      Gets the user-specified revision number for this version of the Versionable object.

      Capability Level: 1
      Returns:
        the user-defined version number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setUserVersion

          void setUserVersion(String userVersion)
                              throws JAXRException

      Sets the user specified revision number for this version of the Versionable object.

      Capability Level: 1
      Parameters:
        `userVersion` - the user-defined version number
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.